Bug 1459692 - Desktop locks up after toggle of fullscreen program
Desktop locks up after toggle of fullscreen program
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 16:40 EDT by barsnick
Modified: 2017-12-12 05:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:41:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description barsnick 2017-06-07 16:40:39 EDT
Description of problem:
When toggling fullscreen of certain programs, my desktop has locked up completely.

One time, it was ffplay (from ffmpeg), which uses SDL2.
The second time, it was smplayer, which uses mplayer, which uses the xv output driver (according to config).

When it occurs, the screen becomes unresponsive, while the audio still plays for a short while. The disk is heavily active, but the system never becomes responsive again. It responds to pings from a different host though.

I have to shut down the system with the power button. Looking into /var/log/messages, it's full of this:

Jun  7 22:17:29 goodtimes org.gnome.Shell.desktop: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!

That line was repeated ~3000 times within 3.5 minutes, so more than 10 times a second, interrupted only once by this line:
Jun  7 22:15:24 goodtimes systemd-logind: Power key pressed.

Version-Release number of selected component (if applicable):
I don't know which component is responsible. Here's the mutter, gnome-shell and wayland related packages I have:

gnome-shell-3.22.3-1.fc25.x86_64
gnome-shell-extension-alternate-tab-3.22.2-1.fc25.noarch
gnome-shell-extension-apps-menu-3.22.2-1.fc25.noarch
gnome-shell-extension-background-logo-3.22.0-1.fc25.noarch
gnome-shell-extension-common-3.22.2-1.fc25.noarch
gnome-shell-extension-launch-new-instance-3.22.2-1.fc25.noarch
gnome-shell-extension-places-menu-3.22.2-1.fc25.noarch
gnome-shell-extension-user-theme-3.22.2-1.fc25.noarch
gnome-shell-extension-window-list-3.22.2-1.fc25.noarch
ibus-wayland-1.5.14-5.fc25.x86_64
libwayland-client-1.12.0-1.fc25.i686
libwayland-client-1.12.0-1.fc25.x86_64
libwayland-cursor-1.12.0-1.fc25.x86_64
libwayland-server-1.12.0-1.fc25.i686
libwayland-server-1.12.0-1.fc25.x86_64
mesa-libwayland-egl-17.0.5-2.fc25.x86_64
mutter-3.22.4-3.fc25.x86_64
qt5-qtwayland-5.7.1-2.fc25.x86_64
wayland-devel-1.12.0-1.fc25.x86_64
xorg-x11-server-Xwayland-1.19.3-1.fc25.x86_64

It started happening with the system upgrade from F24 to F25.
Comment 1 Rastus Vernon 2017-08-29 17:49:21 EDT
This happened to me while toggling fullscreen in Firefox on Fedora 26. The systemd journal ends just before reboot with this message, repeated between 20 and 33 times per second:

localhost.localdomain org.gnome.Shell.desktop[1512]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Comment 2 Rastus Vernon 2017-09-24 15:52:45 EDT
Something similar happened while toggling fullscreen in totem. The system journal ends with the following two messages before the system locked up:

localhost.localdomain dbus-daemon[1461]: [session uid=1000 pid=1461] Successfully activated service 'org.gnome.Totem'
localhost.localdomain totem[5167]: Drawing a gadget with negative dimensions. Did you forget to allocate a size? (node slider owner GtkScale)
Comment 3 Fedora End Of Life 2017-11-16 14:34:41 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-12-12 05:41:06 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.